# Variable copy_tenant_template

copy_tenant_template: (
tenant_template: {
loadAndSaveNewPlugin: (plugin: Plugin) => void;
target: string;
tenant_template: string;
},
) => Promise<void>

#### Type Declaration

- - (
    tenant_template: {
    loadAndSaveNewPlugin: (plugin: Plugin) => void;
    target: string;
    tenant_template: string;
    },
    ): Promise<void>

  - Copy template data into tenant (target)

    - create backup from template tenant
    - restore backup to target tenant
    - clean up user_id in files
    - delete users (including sequence reset)

    #### Parameters

    - tenant_template: {
      loadAndSaveNewPlugin: (plugin: Plugin) => void;
      target: string;
      tenant_template: string;
      }

      [String] - template tenant

    #### Returns Promise<void>

- Defined in index.ts:55